# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-05-31 02:04
from __future__ import unicode_literals

import aristotle_mdr.fields
from django.db import migrations
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('aristotle_mdr', '0021_add_name_and_meaning_to_conceptual'),
    ]

    operations = [
        migrations.AlterField(
            model_name='_concept',
            name='superseded_by',
            field=aristotle_mdr.fields.ConceptForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='supersedes', to='aristotle_mdr._concept'),
        ),
        migrations.AlterField(
            model_name='dataelement',
            name='dataElementConcept',
            field=aristotle_mdr.fields.ConceptForeignKey(blank=True, help_text='binds with a Value_Domain that describes a set of possible values that may be recorded in an instance of the Data_Element', null=True, on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.DataElementConcept', verbose_name='Data Element Concept'),
        ),
        migrations.AlterField(
            model_name='dataelement',
            name='valueDomain',
            field=aristotle_mdr.fields.ConceptForeignKey(blank=True, help_text='binds with a Data_Element_Concept that provides the meaning for the Data_Element', null=True, on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.ValueDomain', verbose_name='Value Domain'),
        ),
        migrations.AlterField(
            model_name='dataelementconcept',
            name='conceptualDomain',
            field=aristotle_mdr.fields.ConceptForeignKey(blank=True, help_text='references a Conceptual_Domain that is part of the specification of the Data_Element_Concept', null=True, on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.ConceptualDomain'),
        ),
        migrations.AlterField(
            model_name='dataelementconcept',
            name='objectClass',
            field=aristotle_mdr.fields.ConceptForeignKey(blank=True, help_text='references an Object_Class that is part of the specification of the Data_Element_Concept', null=True, on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.ObjectClass'),
        ),
        migrations.AlterField(
            model_name='dataelementconcept',
            name='property',
            field=aristotle_mdr.fields.ConceptForeignKey(blank=True, help_text='references a Property that is part of the specification of the Data_Element_Concept', null=True, on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.Property'),
        ),
        migrations.AlterField(
            model_name='dataelementderivation',
            name='derives',
            field=aristotle_mdr.fields.ConceptManyToManyField(blank=True, help_text='binds with one or more output Data_Elements that are the result of the application of the Data_Element_Derivation.', null=True, related_name='derived_from', to='aristotle_mdr.DataElement'),
        ),
        migrations.AlterField(
            model_name='dataelementderivation',
            name='inputs',
            field=aristotle_mdr.fields.ConceptManyToManyField(blank=True, help_text='binds one or more input Data_Element(s) with a Data_Element_Derivation.', related_name='input_to_derivation', to='aristotle_mdr.DataElement'),
        ),
        migrations.AlterField(
            model_name='permissiblevalue',
            name='valueDomain',
            field=aristotle_mdr.fields.ConceptForeignKey(help_text='Enumerated Value Domain that this value meaning relates to', on_delete=django.db.models.deletion.CASCADE, related_name='permissiblevalue_set', to='aristotle_mdr.ValueDomain'),
        ),
        migrations.AlterField(
            model_name='status',
            name='concept',
            field=aristotle_mdr.fields.ConceptForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='statuses', to='aristotle_mdr._concept'),
        ),
        migrations.AlterField(
            model_name='supplementaryvalue',
            name='valueDomain',
            field=aristotle_mdr.fields.ConceptForeignKey(help_text='Enumerated Value Domain that this value meaning relates to', on_delete=django.db.models.deletion.CASCADE, related_name='supplementaryvalue_set', to='aristotle_mdr.ValueDomain'),
        ),
        migrations.AlterField(
            model_name='valuedomain',
            name='conceptual_domain',
            field=aristotle_mdr.fields.ConceptForeignKey(blank=True, help_text='The Conceptual Domain that this Value Domain which provides representation.', null=True, on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.ConceptualDomain'),
        ),
        migrations.AlterField(
            model_name='valuedomain',
            name='data_type',
            field=aristotle_mdr.fields.ConceptForeignKey(blank=True, help_text='Datatype used in a Value Domain', null=True, on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.DataType'),
        ),
        migrations.AlterField(
            model_name='valuedomain',
            name='unit_of_measure',
            field=aristotle_mdr.fields.ConceptForeignKey(blank=True, help_text='Unit of Measure used in a Value Domain', null=True, on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.UnitOfMeasure'),
        ),
        migrations.AlterField(
            model_name='valuemeaning',
            name='conceptual_domain',
            field=aristotle_mdr.fields.ConceptForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.ConceptualDomain'),
        ),
    ]
